> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/tenantbrokersettings.md).

# TenantBrokerSettings.md

## NAMESPACE

RASAdminEngine.Core.OutputModels.Tenant

## DESCRIPTION

Tenant Broker

## INHERITED FROM

[RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)

⇒

TenantBrokerSettings

## INTERFACES

* ISerializable
* IComparable

## PUBLIC PROPERTIES

| Type                                                                    | Name                                                                     | Description                                                            |
| ----------------------------------------------------------------------- | ------------------------------------------------------------------------ | ---------------------------------------------------------------------- |
| Boolean                                                                 | AllowRegistrationWithSecretKey                                           | Allow RAS Sites to register in Tenant Broker using a secret key.       |
| String                                                                  | BrokerAddress                                                            | Address to be used when registering a tenant, when the OverrideAddress |
| is set.                                                                 | Boolean                                                                  | HideBillingInfo                                                        |
| When set, billing information is not provided in the Licensing category | of the Tenant.                                                           | Boolean                                                                |
| OverrideAddress                                                         | Override Tenant Broker address in tenant invitations and secret keys.    | String                                                                 |
| TenantBrokerSecretKey                                                   | Tenant broker secret key which is to be used for tenants to              | automatically register themselves.                                     |
| String                                                                  | TenantDomain                                                             | Public domain address used to register the tenants. If you want to     |
| register tenants as subdomains, specify the domain part of the host     | name. For example, to use "subdomain.domain.com" as a tenant hosts name, | specify "domain.com".                                                  |

## PUBLIC METHODS

| Type        | Name                       | Description                                                                                                                                |
| ----------- | -------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| Int32       | CompareTo (Object obj)     | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Boolean     | Equals (Object obj)        | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Int32       | GetHashCode ()             | Inherited from [RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md) |
| Type        | GetType ()                 | String                                                                                                                                     |
| ToString () | ### References to Commands |                                                                                                                                            |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/tenantbrokersettings.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
